Recuperar lista por nombre
curl --request GET \
--url https://api.hubapi.com/crm/lists/2026-03/object-type-id/{objectTypeId}/name/{listName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/object-type-id/{objectTypeId}/name/{listName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/lists/2026-03/object-type-id/{objectTypeId}/name/{listName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": {
"listId": "<string>",
"listVersion": 123,
"name": "<string>",
"objectTypeId": "<string>",
"processingStatus": "<string>",
"processingType": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"filterBranch": {
"filterBranchOperator": "<string>",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "<string>",
"filterBranchType": "AND",
"filterBranches": "<array>",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": true,
"operationType": "BOOL",
"operator": "<string>",
"value": true
},
"property": "<string>"
}
]
},
"filtersUpdatedAt": "2023-11-07T05:31:56Z",
"listPermissions": {
"teamsWithEditAccess": [
123
],
"usersWithEditAccess": [
123
]
},
"membershipSettings": {
"includeUnassigned": true,
"membershipTeamId": 123
},
"size": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedById": "<string>"
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Listas
Retrieve a list by name
Recuperar una lista individual por nombre de lista y tipo de objeto.
GET
/
crm
/
lists
/
2026-03
/
object-type-id
/
{objectTypeId}
/
name
/
{listName}
Recuperar lista por nombre
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El nombre de la lista que se recuperará. No distingue entre mayúsculas y minúsculas.
El ID de los tipos de objetos almacenados por la lista que se recuperará. Por ejemplo, "0-1" para una lista "CONTACTO".
Parámetros de consulta
Un marcador que indica si la definición de la lista de objetos de la respuesta debe incluir o no una definición de ramificación de filtro. Por opción predeterminada, las definiciones de ramificaciones de filtro de las definiciones de la lista de objetos no se incluirán en la respuesta.
Respuesta
successful operation
Show child attributes
Show child attributes
Última modificación el 3 de abril de 2026
⌘I